#########
## Configured by Ansible
#########

auto lo
iface lo inet loopback

auto mgmt
iface mgmt
    address 127.0.0.1/8
    vrf-table auto

auto eth0
iface eth0 inet dhcp 
    vrf mgmt

auto eth1
iface eth1 

auto eth2
iface eth2 

auto uplink
iface uplink 
    bond-mode 802.3ad
    bond-xmit-hash-policy layer3+4
    bond-lacp-bypass-allow no
    bond-lacp-rate fast
    bond-miimon 100
    bond-min-links 1
    bond-use-carrier yes
    bond-updelay 0
    bond-downdelay 0
    bond-slaves eth1 eth2
    mtu 9216

auto bridge
iface bridge
    bridge-ports uplink
    bridge-vlan-aware yes
    bridge-vids {{ devices[inventory_hostname]["apps"] | join(" ") }}

{%- for app in devices[inventory_hostname]["apps"] %} 
auto {{devices[inventory_hostname]["apps"][app]["vrf"]}}
iface {{devices[inventory_hostname]["apps"][app]["vrf"]}}
    vrf-table auto

auto vlan{{app}}
iface vlan{{app}}
    address 192.168.{{devices[inventory_hostname]["apps"][app]["prefix-id"]}}.{{devices[inventory_hostname]["id"]}}/24
    gateway 192.168.{{devices[inventory_hostname]["apps"][app]["prefix-id"]}}.1
    address fc00:{{devices[inventory_hostname]["apps"][app]["prefix-id"]}}::{{devices[inventory_hostname]["id"]}}/64
    vlan-id {{app}}
    vlan-raw-device bridge
    vrf {{devices[inventory_hostname]["apps"][app]["vrf"]}}
    pre-up echo 1 > /proc/sys/net/ipv6/conf/$IFACE/accept_ra
{% endfor %}
